.footer {
	/* Puts footer at bottom of page all the time. See reset.css for flexbox implementation. Make sure .footer is a direct child of body. */
	margin-block-start: auto;
	background-color: var(--midnight);
	color: var(--gray-line);
	font-size: var(--step--2);
	font-weight: 400;
	display: flex;
	flex-direction: column;
	gap: var(--spacing-20);
	padding-block: var(--spacing-20);

	@media (width > 1000px) {
		padding-block-start: var(--spacing-80);
	}

	a {
		color: var(--white);
		text-decoration: none;

		&:hover,
		&:focus-within {
			color: var(--teal-contrast);
		}
	}
}

.footer__container {
	display: grid;
	grid-template-columns: repeat(2, 1fr);
	gap: var(--spacing-20);
	width: 100%;
	grid-auto-flow: row;

	@media (min-width: 768px) {
		grid-template-columns: repeat(4, 1fr);
	}

	@media (min-width: 1280px) {
		grid-template-columns: repeat(5, 1fr);
	}

	@media (width > 1750px) {
		gap: var(--spacing-100);
	}
}

.footer__container--2 {
	@media (max-width: 767px) {
		grid-template-columns: 3fr 2fr;
		align-items: center;
	}

	@media (width > 1000px) {
		padding-block-start: var(--spacing-20);
		margin-block-start: var(--spacing-80);
		position: relative;

		&::before {
			content: "";
			height: 1px;
			background-color: var(--gray-meta);
			position: absolute;
			top: 0;
			left: var(--spacing-20);
			right: var(--spacing-20);
		}
	}
}

.footer__address {
	display: flex;
	flex-direction: column;
	align-items: start;

	@media (width > 1280px) {
		grid-column: span 2;
	}

	.address__title {
		display: none;
	}
}

/*@media (max-width: 767px) {
	.footer__menu--2 {
		grid-column: 1;
		grid-row: 3 / span 2;
	}

	.footer__menu--3 {
		grid-column: 2;
		grid-row: 2;
	}

	.footer__menu--4 {
		grid-column: 2;
		grid-row: 4;
	}

	.footer__menu--5 {
		grid-column: 2;
		grid-row: 3;
	}
}*/

/*.footer__menu--2 {
	@media (width > 768px) {
		grid-column: 3;
		grid-row: 1 / span 2;
	}

	@media (width > 1200px) {
		grid-column: 3;
		grid-row: 1 / span 1;
	}
}*/

.footer__menu-secondary {
	grid-column: 1;
	display: flex;
	align-items: center;

	@media (min-width: 768px) {
		grid-column: 1 / span 3;
	}

	@media (min-width: 1280px) {
		grid-column: 3 / span 3;
	}
}

.footer__social {
	grid-column: 2;
	justify-self: end;

	@media (min-width: 768px) {
		grid-column: 5 / span 2;
	}

	@media (min-width: 1280px) {
		grid-column: 7 / span 2;
	}
}

.footer__copyright {
	grid-column: span 2;
	grid-row: 2;
	display: flex;
	align-items: center;

	@media (min-width: 1280px) {
		grid-row: 1;
		grid-column: 1 / span 2;
	}
}
